Detect theme/score anomalies between two waves
POST
/v2/analytics/anomalies
const url = 'https://api.surveycoder.io/v2/analytics/anomalies';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"current_wave_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","previous_wave_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","threshold_percent":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.surveycoder.io/v2/analytics/anomalies \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "current_wave_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "previous_wave_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "threshold_percent": 1 }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
current_wave_id
required
string format: uuid
previous_wave_id
required
string format: uuid
threshold_percent
Minimum percentage change to count as an anomaly.
number
Example generated
{ "current_wave_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "previous_wave_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "threshold_percent": 1}Responses
Section titled “ Responses ”List of anomalies
One of the waves does not belong to your organization